import request from '@/utils/request'

/**
* 1. 列表查询
* 2. 查询详细信息
*/

// 1. 查询列表
export function listDemoData1(query) {
  return request({
    url: '/demodata1/list',
    method: 'get',
    params: query
  })
}

// 2. 查询信息
export function listAll(query) {
  return request({
    url: '/demodata1/listAll',
    method: 'get',
    params: query
  })
}
export function searchAaa(query) {
  return request({
    url: '/demodata1/searchAaa',
    method: 'get',
    params: query
  })
}
export function searchBbb(query) {
  return request({
    url: '/demodata1/searchBbb',
    method: 'get',
    params: query
  })
}
export function searchCcc(query) {
  return request({
    url: '/demodata1/searchCcc',
    method: 'get',
    params: query
  })
}
export function searchCccc(query) {
  return request({
    url: '/demodata1/searchCccc',
    method: 'get',
    params: query
  })
}
export function searchDdd(query) {
  return request({
    url: '/demodata1/searchDdd',
    method: 'get',
    params: query
  })
}
export function searchDddd(query) {
  return request({
    url: '/demodata1/searchDddd',
    method: 'get',
    params: query
  })
}
export function searchEee(query) {
  return request({
    url: '/demodata1/searchEee',
    method: 'get',
    params: query
  })
}

export function searchTableList(data) {
  return request({
    method: 'post',
    url: '/mixSelect/getList',
    headers: {
      'Content-Type': 'application/json'
    },
    data: data
  })
}
export function getListTotal(data) {
  return request({
    method: 'post',
    url: '/mixSelect/getListTotal',
    headers: {
      'Content-Type': 'application/json'
    },
    data: data
  })
}
export function getClickInformation(data) {
  return request({
    method: 'post',
    url: '/mixSelect/getClickInformation',
    headers: {
      'Content-Type': 'application/json'
    },
    data: data
  })
}
export function getClickInformationPageNum(data) {
  return request({
    method: 'post',
    url: '/mixSelect/getClickInformationPageNum',
    headers: {
      'Content-Type': 'application/json'
    },
    data: data
  })
}
// export function testPost(data) {
//   return request({
//     method: 'post',
//     url: '/mixSelect/postTest',
//     headers: {
//       'Content-Type': 'application/json'
//     },
//     data: {
//       name: '123'
//     }
//   })
// }


