import request from '@/utils/request'

/**
* 1. 列表查询
* 2. 查询详细信息
*/

// 3. 保存
// export function addBIchnography(data) {
//   return request({
//     url: '/bichnography/add',
//     method: 'post',
//     headers : { 'Content-Type' : 'multipart/form-data' },
//     data: data
//   })
// }

//  查询最近一条数据
export function findLatestData(query) {
  return request({
    url: '/bichnography/findLatestData',
    method: 'get',
    params: query
  })
}

export function addBIchnography(data) {
  return request({
    method: 'post',
    url: '/bichnography/add',
    headers: {
      'Content-Type': 'application/json'
    },
    data: data
  })
}

export function findLabelWithBoxes() {
  return request({
    url: '/incomewmsbox/findLabelWithBoxes',
    method: 'get'
  })
}
